#language: ru

@purchase

Функционал: 003. Purchase. Дозаполение данных по складу

Сценарий: 003.1. Purchase. Создание ячеек для склада

	Дано Я подключаюсь под "Ведение организаций"
	Дано я устанавливаю текущему сеансу заголовок приложения "08.003. Закупки"
	Дано я удаляю объекты "Справочники.к2СкладскиеЯчейки" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда я жду открытия окна 'Склады' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             |
		| 'Склад(ячейки и контроль)' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Склад(ячейки и контроль) (Склад)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Складские ячейки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '2'
	И в поле 'Стеллаж' я ввожу текст '1'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'Склад(ячейки и контроль) (Склад)'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '1'
	И в поле 'Стеллаж' я ввожу текст '1'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'Склад(ячейки и контроль) (Склад)'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Складская ячейка (создание)'
	И в поле 'Помещение' я ввожу текст '1'
	И в поле 'Ряд' я ввожу текст '3'
	И в поле 'Стеллаж' я ввожу текст '1'
	И в поле 'Ярус' я ввожу текст '1'
	И в поле 'Вместимость в местах' я ввожу текст '1'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Складская ячейка (создание)' в течение 20 секунд
	Тогда открылось окно 'Склад(ячейки и контроль) (Склад)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Основное'
	И я нажимаю на кнопку 'Перечитать'
	И в поле 'Дата начала адресного хранения остатков' я ввожу текст '01.11.2018'
	И я нажимаю кнопку выбора у поля "Ячейка приемки"
	Тогда открылось окно 'Складские ячейки'
	И в таблице "Список" я перехожу к строке:
		|'Адрес'   |
		|'1020011' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Склад(ячейки и контроль) (Склад) *'
	И я нажимаю кнопку выбора у поля "Ячейка отгрузки"
	Тогда открылось окно 'Складские ячейки'
	И в таблице "Список" я перехожу к строке:
		|'Адрес'   |
		|'1030011' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Склад(ячейки и контроль) (Склад) *'
	И я нажимаю кнопку выбора у поля "Ячейка пересчета"
	Тогда открылось окно 'Складские ячейки'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Склад(ячейки и контроль) (Склад) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Склад(ячейки и контроль) *' в течение 20 секунд
	Тогда открылось окно 'Склады'
	И Я закрываю окно 'Склады'

Сценарий: 003.2. Purchase. Завершение

	И я закрываю сеанс TESTCLIENT